# class KFileWritePlugin

### abstract

Module | kio
Namespace |
Class | KFileWritePlugin
Inherits | QObject

### methods

- KFileWritePlugin (parent, args)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  parent | QObject |
  args | QStringList |

  Constructor that initializes the object as a QObject.

- canWrite (file, key)

  returns bool
  pure virtual

  Argument | Type | Default
  --- | --- | ---
  file | KUrl |
  key | QString |

  determine if this plugin can write a value into a particular resource.

- write (file, data)

  returns bool
  pure virtual

  Argument | Type | Default
  --- | --- | ---
  file | KUrl |
  data | QVariantMap |

  Write a set of values into a resource pointed to by file.